Projects
List Projects
Returns projects visible to the current workspace, ordered by creation time with the newest project first. Usestarting_after or ending_before to page through large collections.
from orq_ai_sdk import Orq
import os
with Orq(
api_key=os.getenv("ORQ_API_KEY", ""),
) as orq:
res = orq.projects.list()
# Handle response
print(res)
import { Orq } from "@orq-ai/node";
const orq = new Orq({
apiKey: process.env["ORQ_API_KEY"] ?? "",
});
async function run() {
const result = await orq.projects.list();
console.log(result);
}
run();
Show Parameters
Show Parameters
{
"limit": Optional[int],
"starting_after": Optional[str],
"ending_before": Optional[str],
}
{
limit?: number;
startingAfter?: string;
endingBefore?: string;
}
Show Response
Show Response
{
"object": str,
"data": {
"project_id": str,
"name": str,
"key": str,
"is_archived": bool,
"is_default": bool,
"teams": List[str],
"created_at": date,
"updated_at": date,
"created_by_id": Optional[str],
"updated_by_id": Optional[str],
"description": Optional[str],
},
"has_more": bool,
}
{
object: string;
data: {
projectId: string;
name: string;
key: string;
isArchived: boolean;
isDefault: boolean;
teams: string[];
createdAt: Date;
updatedAt: Date;
createdById?: string;
updatedById?: string;
description?: string;
};
hasMore: boolean;
}
Create a Project
Creates a project in the current workspace. Projects are workspace-level containers for resources such as skills, deployments, datasets, rules, and related team access.from orq_ai_sdk import Orq
import os
with Orq(
api_key=os.getenv("ORQ_API_KEY", ""),
) as orq:
res = orq.projects.create(name="<value>")
# Handle response
print(res)
import { Orq } from "@orq-ai/node";
const orq = new Orq({
apiKey: process.env["ORQ_API_KEY"] ?? "",
});
async function run() {
const result = await orq.projects.create({
name: "<value>",
});
console.log(result);
}
run();
Show Parameters
Show Parameters
{
"name": str, # required
"teams": List[str],
"description": Optional[str],
}
{
name: string; // required
teams?: string[];
description?: string;
}
Show Response
Show Response
{
"project": {
"project_id": str,
"name": str,
"key": str,
"is_archived": bool,
"is_default": bool,
"teams": List[str],
"created_at": date,
"updated_at": date,
"created_by_id": Optional[str],
"updated_by_id": Optional[str],
"description": Optional[str],
},
}
{
project: {
projectId: string;
name: string;
key: string;
isArchived: boolean;
isDefault: boolean;
teams: string[];
createdAt: Date;
updatedAt: Date;
createdById?: string;
updatedById?: string;
description?: string;
};
}
Retrieve a Project
Retrieves the details of an existing project by its unique project ID.from orq_ai_sdk import Orq
import os
with Orq(
api_key=os.getenv("ORQ_API_KEY", ""),
) as orq:
res = orq.projects.get(project_id="<id>")
# Handle response
print(res)
import { Orq } from "@orq-ai/node";
const orq = new Orq({
apiKey: process.env["ORQ_API_KEY"] ?? "",
});
async function run() {
const result = await orq.projects.get({
projectId: "<id>",
});
console.log(result);
}
run();
Show Parameters
Show Parameters
{
"project_id": str, # required
}
{
projectId: string; // required
}
Show Response
Show Response
{
"project": {
"project_id": str,
"name": str,
"key": str,
"is_archived": bool,
"is_default": bool,
"teams": List[str],
"created_at": date,
"updated_at": date,
"created_by_id": Optional[str],
"updated_by_id": Optional[str],
"description": Optional[str],
},
}
{
project: {
projectId: string;
name: string;
key: string;
isArchived: boolean;
isDefault: boolean;
teams: string[];
createdAt: Date;
updatedAt: Date;
createdById?: string;
updatedById?: string;
description?: string;
};
}
Delete a Project
Deletes a project from the workspace. The response body is empty when the delete succeeds.from orq_ai_sdk import Orq
import os
with Orq(
api_key=os.getenv("ORQ_API_KEY", ""),
) as orq:
res = orq.projects.delete(project_id="<id>")
# Handle response
print(res)
import { Orq } from "@orq-ai/node";
const orq = new Orq({
apiKey: process.env["ORQ_API_KEY"] ?? "",
});
async function run() {
const result = await orq.projects.delete({
projectId: "<id>",
});
console.log(result);
}
run();
Show Parameters
Show Parameters
{
"project_id": str, # required
}
{
projectId: string; // required
}
Update a Project
Updates the specified project by setting the values of the parameters passed.from orq_ai_sdk import Orq
import os
with Orq(
api_key=os.getenv("ORQ_API_KEY", ""),
) as orq:
res = orq.projects.update(project_id="<value>")
# Handle response
print(res)
import { Orq } from "@orq-ai/node";
const orq = new Orq({
apiKey: process.env["ORQ_API_KEY"] ?? "",
});
async function run() {
const result = await orq.projects.update({
projectId: "<id>",
updateProjectRequest: {},
});
console.log(result);
}
run();
Show Parameters
Show Parameters
{
"project_id": str, # required
"name": Optional[str],
"teams": List[str],
"description": Optional[str],
}
{
projectId: string; // required
updateProjectRequest: { // required
name?: string;
teams?: string[];
description?: string;
};
}
Show Response
Show Response
{
"project": {
"project_id": str,
"name": str,
"key": str,
"is_archived": bool,
"is_default": bool,
"teams": List[str],
"created_at": date,
"updated_at": date,
"created_by_id": Optional[str],
"updated_by_id": Optional[str],
"description": Optional[str],
},
}
{
project: {
projectId: string;
name: string;
key: string;
isArchived: boolean;
isDefault: boolean;
teams: string[];
createdAt: Date;
updatedAt: Date;
createdById?: string;
updatedById?: string;
description?: string;
};
}